﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WebUserControl.ascx.cs" Inherits="RadGrid_Customers_Projects_MultiPage_WebUserControl" %>


<telerik:RadScriptBlock ID="rcbGrid" runat="server">
    <script type="text/javascript">
        var _treeList = null;
 
        function OnSectionItemClick(sender, eventArgs) {
            var treelist = $find('<%=TreeList1.ClientID %>');
 
            treelist.selectItem(eventArgs.get_item());
            sender.fireCommand("ItemClick", eventArgs.get_item().get_displayIndex());
        }
    </script>
</telerik:RadScriptBlock>
 
<telerik:RadTreeList runat="server" ID="TreeList1" DataKeyNames="FormId" ClientDataKeyNames="FormId, instanceId"
    OnNeedDataSource="TreeList1_NeedDataSource" ParentDataKeyNames="ParentId"
    AutoGenerateColumns="false"
    EnableViewState="true">
    <Columns>
        <telerik:TreeListTemplateColumn HeaderStyle-Width="60%" UniqueName="SectionName"
            HeaderText="Section Name" ItemStyle-CssClass="link">
            <ItemTemplate>
                <span runat="server" class="rbAdd16 rbPredefined16" id="addIcon"></span>
                <%# Eval("Name") %><%# Eval("Key") %>
                <span runat="server" style="color: Red;" visible="false" id="spnRequired">*</span>
            </ItemTemplate>
        </telerik:TreeListTemplateColumn>
        <telerik:TreeListTemplateColumn Display="false" UniqueName="InstanceId">
            <ItemTemplate>
                <asp:Label ID="spnInstanceId" Text='<%# Eval("instanceId") %>' runat="server">
                </asp:Label>
            </ItemTemplate>
        </telerik:TreeListTemplateColumn>
    </Columns>
    <ClientSettings AllowPostBackOnItemClick="false">
        <Selecting AllowItemSelection="true" />
        <ClientEvents OnItemClick="OnSectionItemClick" />
    </ClientSettings>
</telerik:RadTreeList>